Delete bill attachment

View as MarkdownOpen in Claude
Delete a file attached to a bill.

Authentication

requestTokenstring
API Key authentication via header

Path parameters

idBillintegerRequired

Payabli ID for the bill. Get this ID by querying /api/Query/bills/ for the entrypoint or the organization.

filenamestringRequired
The filename in Payabli. Filename is `zipName` in response to a request to `/api/Invoice/{idInvoice}`. Here, the filename is `0_Bill.pdf`. ```json "DocumentsRef": { "zipfile": "inva_269.zip", "filelist": [ { "originalName": "Bill.pdf", "zipName": "0_Bill.pdf", "descriptor": null } ] } ```

Query parameters

returnObjectbooleanOptionalDefaults to false

When true, the request returns the file content as a Base64-encoded string.

Response

Success
responseTextstring

Response text for operation: ‘Success’ or ‘Declined’.

responseCodeinteger

Code for the response. Learn more in API Response Codes.

pageIdentifierstring
Auxiliary validation used internally by payment pages and components.
roomIdlong

Field not in use on this endpoint. It always returns 0.

isSuccessboolean

Boolean indicating whether the operation was successful. A true value indicates success. A false value indicates failure.

responseDatastring or integer

If isSuccess = true, this contains the bill identifier. If isSuccess = false, this contains the reason for the error.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error